package com.happy.dao;

import com.happy.Model.Booking;
import com.happy.Model.HouseNumber;
import com.happy.dto.HouseNumberDto;

import java.util.List;

public interface HouseNumberDao {
    int saveBatch(List<HouseNumber> list);

    int updateBatch(List<HouseNumber> list);

    List<HouseNumber> queryHouseStatus(Booking book);

    List<HouseNumber> queryCheckRoom(Booking book);
    /**
     * 查询指定房型下的所有非删除状态的房间（脏房/净房）
     */
    List<HouseNumberDto> queryListOne(HouseNumberDto houseNumberDto);

    /**
     * 房态管理-置脏/净
     */
    void modifyHouseStatus(HouseNumberDto houseNumberDto);

    List<HouseNumber> queryByHouseId(String houseId);

    /**
     * 退房批量置脏
     * @param ids 房间ids
     * @return 影响行数
     */
    int updateHouseStatus(String ids);

}
